---
title: "Variable discrète"
weight: 2
output:
blogdown::html_page:
toc: false
fig_width: 6
dev: "svg"
---

<script src="/rmarkdown-libs/header-attrs/header-attrs.js"></script>


<script src="https://polyfill.io/v3/polyfill.min.js?features=es6"></script>
<script id="MathJax-script" async src="https://cdn.jsdelivr.net/npm/mathjax@3/es5/tex-mml-chtml.js"></script>
<div id="la-fonction-gf_bar" class="section level2">
<h2>La fonction gf_bar</h2>
<p>On va travailler sur la table diamonds, incluse dans le package ggplot2.
La variable cut est de type facteur, l’idéal pour une variable discrète.</p>
<pre class="r"><code>head(diamonds)</code></pre>
<pre><code>## # A tibble: 6 × 10
##   carat cut       color clarity depth table price     x     y     z
##   &lt;dbl&gt; &lt;ord&gt;     &lt;ord&gt; &lt;ord&gt;   &lt;dbl&gt; &lt;dbl&gt; &lt;int&gt; &lt;dbl&gt; &lt;dbl&gt; &lt;dbl&gt;
## 1  0.23 Ideal     E     SI2      61.5    55   326  3.95  3.98  2.43
## 2  0.21 Premium   E     SI1      59.8    61   326  3.89  3.84  2.31
## 3  0.23 Good      E     VS1      56.9    65   327  4.05  4.07  2.31
## 4  0.29 Premium   I     VS2      62.4    58   334  4.2   4.23  2.63
## 5  0.31 Good      J     SI2      63.3    58   335  4.34  4.35  2.75
## 6  0.24 Very Good J     VVS2     62.8    57   336  3.94  3.96  2.48</code></pre>
<pre class="r"><code>diamonds |&gt; count(cut)</code></pre>
<pre><code>## # A tibble: 5 × 2
##   cut           n
##   &lt;ord&gt;     &lt;int&gt;
## 1 Fair       1610
## 2 Good       4906
## 3 Very Good 12082
## 4 Premium   13791
## 5 Ideal     21551</code></pre>
<pre class="r"><code>diamonds |&gt; gf_bar(~cut)</code></pre>
<p><img src="/chapter5/pages/5.2_files/figure-html/unnamed-chunk-2-1.png" width="672" /></p>
</div>
